/**
 * 组织绩效动态列表
 */
shr.defineClass("shr.custom.PerformEdit", shr.framework.Edit, {
	initalizeDOM: function () {
		var _self = this;
		$("#addRow_entrys").hide();
		$("#deleteRow_entrys").hide();
		shr.custom.PerformEdit.superClass.initalizeDOM.call(this);
		$('.editGrid-cont .shr-toolbar .editGrid-toolbar').append('<button type="button" class="shrbtn-primary shrbtn" id="import”>批量删除</button>');

	},
	backAction() {
		var examineGradePersonId = shr.getUrlRequestParam("examineGradePersonId");
		var billId = shr.getUrlRequestParam("billId");
		this.reloadPage({
			uipk: "com.kingdee.eas.custom.performancenew.app.ExamineGradePersonZY.dynamicList",
			examineGradePersonId: examineGradePersonId == "" ? billId : examineGradePersonId,
		});
	},
	/* 描述: 导入action
*/
	importAction: function () {
		var examineGradePersonId = shr.getUrlRequestParam("examineGradePersonId");
		var billId = shr.getUrlRequestParam("billId");
		var customParam = { parentId: examineGradePersonId == "" ? billId : examineGradePersonId };
		this.doImportData('import', customParam, function () {
			$(".shrbtn.btn_exit").eq(0).click(function () {
				location.reload();
			});
			$(".icon-remove").eq(2).click(function () {
				location.reload();
			});
		});
	},
})